﻿/* 
Note: this should be applied in addition the base chosen.css 
	It is based on chosen-bootstrap, non-gray colors changed, border set to 2 px, no border radio, no box-shadow 
*/

select.form-control + .chosen-container .chosen-single span {
	color: #999;
	font-weight: bold;
	transition: color 0.2s ease-in;
}
select.form-control + .chosen-container-active.chosen-container .chosen-single span {
	color: var(--primary-color);
}

select.form-control + .chosen-container.chosen-container-single .chosen-single {
	display: block;
	width: 100%;
	height: 34px;
	padding: 6px 12px;
	font-size: 14px;
	line-height: 1.428571429;
	color: #999;
	font-weight:bold;
	vertical-align: middle;
	background-color: #fff;
	border: 2px solid #ccc;
	border-radius: 0;
	box-shadow: none;
	-webkit-transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
	transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s, color ease-in-out 0.15s;
	background-image: none;
}

select.form-control + .chosen-container.chosen-container-single .chosen-single div {
	top: 4px;
	color: #000;
}

select.form-control + .chosen-container .chosen-drop {
	background-color: #FFF;
	border: 2px solid #ccc;
	border-radius: 0;
	box-shadow: none;
	background-clip: padding-box;
	margin: 2px 0 0;
}

select.form-control + .chosen-container .chosen-search input[type=text] {
	display: block;
	width: 100%;
	height: 34px;
	padding: 6px 12px;
	font-size: 14px;
	line-height: 1.428571429;
	color: #555;
	vertical-align: middle;
	background-color: #FFF;
	border: 2px solid #ccc;
	border-radius: 0;
	box-shadow: none;
	-webkit-transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
	transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
	background-image: none;
}

select.form-control + .chosen-container .chosen-results {
	margin: 2px 0 0;
	padding: 5px 0;
	font-size: 14px;
	list-style: none;
	background-color: #fff;
	margin-bottom: 5px;
}

select.form-control + .chosen-container .chosen-results li,
	select.form-control + .chosen-container .chosen-results li.active-result {
		display: block;
		padding: 3px 20px;
		clear: both;
		font-weight: normal;
		line-height: 1.428571429;
		color: #333;
		white-space: nowrap;
		background-image: none;
	}

	select.form-control + .chosen-container .chosen-results li:hover,
	select.form-control + .chosen-container .chosen-results li.active-result:hover,
	select.form-control + .chosen-container .chosen-results li.highlighted {
		color: #FFF;
		text-decoration: none;
		background-color: var(--primary-color); /*#428BCA;*/
		background-image: none;
	}

select.form-control + .chosen-container-multi .chosen-choices {
	display: block;
	width: 100%;
	min-height: 34px;
	padding: 6px;
	font-size: 14px;
	line-height: 1.428571429;
	color: #555;
	vertical-align: middle;
	background-color: #FFF;
	border: 2px solid #ccc;
	border-radius: 0;
	box-shadow: none;
	-webkit-transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
	transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
	background-image: none;
}

select.form-control + .chosen-container-multi .chosen-choices li.search-field input[type="text"] {
	height: auto;
	padding: 5px 0;
}

select.form-control + .chosen-container-multi .chosen-choices li.search-choice {
	background-image: none;
	padding: 3px 24px 3px 5px;
	margin: 0 6px 0 0;
	font-size: 14px;
	font-weight: normal;
	line-height: 1.428571429;
	text-align: center;
	white-space: nowrap;
	vertical-align: middle;
	cursor: pointer;
	border: 2px solid #ccc;
	border-radius: 0;
	color: #333;
	background-color: #FFF;
	border-color: #CCC;
}

select.form-control + .chosen-container-multi .chosen-choices li.search-choice .search-choice-close {
	top: 8px;
	right: 6px;
}

select.form-control + .chosen-container-multi.chosen-container-active .chosen-choices,
select.form-control + .chosen-container.chosen-container-single.chosen-container-active .chosen-single,
select.form-control + .chosen-container .chosen-search input[type=text]:focus {
	border-color: var(--primary-color); /*#66AFE9;*/
	outline: 0;
}

select.form-control + .chosen-container-multi .chosen-results li.result-selected {
	display: list-item;
	color: #ccc;
	cursor: default;
	background-color: white;
}